Home>

CODE:

import discord
client= discord.Client()
@client.event
async def on_ready():
  print('We have logged in as ')
@client.event
async def on_message(message):
  if message.author== client.user:
    return
if message.content.startswith('$hello'):
    await message.channel.send('Hello!')
client.run('MY TOKEN')

ERROR:

Traceback (most recent call last): File "C:\Users\kent\AppData\Local\Programs\Python\Python38-32\lib\site-packages\discord\http.py", line 256, in static_login data= await self.request(Route('GET', '/users/@me')) File "C:\Users\kent\AppData\Local\Programs\Python\Python38-32\lib\site-packages\discord\http.py", line 220, in request
raise HTTPException(r, data) discord.errors.HTTPException: 401 UNAUTHORIZED (error code: 0): 401: Unauthorized

The above exception was the direct cause of the following exception:

Traceback (most recent call last): File "c:/Users/kent/Desktop/bot.py", line 18, in client.run('AjcgZJsBn1KwB31_tv-02RSluNVlU-l1') File "C:\Users\kent\AppData\Local\Programs\Python\Python38-32\lib\site-packages\discord\client.py", line 640, in run return future.result() File "C:\Users\kent\AppData\Local\Programs\Python\Python38-32\lib\site-packages\discord\client.py", line 621, in runner await self.start(*args, **kwargs) File "C:\Users\kent\AppData\Local\Programs\Python\Python38-32\lib\site-packages\discord\client.py", line 584, in start await self.login(*args, bot=bot) File "C:\Users\kent\AppData\Local\Programs\Python\Python38-32\lib\site-packages\discord\client.py", line 442, in login await self.http.static_login(token.strip(), bot=bot) File "C:\Users\kent\AppData\Local\Programs\Python\Python38-32\lib\site-packages\discord\http.py", line 260, in static_login raise LoginFailure('Improper token has been passed.') from exc discord.errors.LoginFailure: Improper token has been passed. Exception ignored in: Traceback (most recent call last): File "C:\Users\kent\AppData\Local\Programs\Python\Python38-32\lib\asyncio\proactor_events.py", line 116, in del self.close() File "C:\Users\kent\AppData\Local\Programs\Python\Python38-32\lib\asyncio\proactor_events.py", line 108, in close self._loop.call_soon(self._call_connection_lost, None) File "C:\Users\kent\AppData\Local\Programs\Python\Python38-32\lib\asyncio\base_events.py", line 715, in call_soon self._check_closed() File "C:\Users\kent\AppData\Local\Programs\Python\Python38-32\lib\asyncio\base_events.py", line 508, in _check_closed raise RuntimeError('Event loop is closed') RuntimeError: Event loop is closed

I wanted to create a discord bot(according to their documentation)

Exception 401 is visible in the traceback: Unauthorized token is not valid or there are no rights to use it.

kratorr2022-01-21 09:08:00

You burned your token))) AjcgZJsBn1KwB31_tv-02RSluNVlU-l1 ; You should receive a letter to your account mail about resetting the token, replace it with a new generated one.

merive_2022-01-21 09:08:00